"""
Autogenerated module using `pop-create-idem <https://gitlab.com/saltstack/pop/pop-create-idem>`__
"""


async def cluster_reconfigure_params(hub, ctx, org: str, sddc: str, cluster: str) -> None:
    """
    **Autogenerated function**
    
    This reconfiguration will handle changing both the number of hosts and the cluster storage capacity.

    Args:
        org(str): Organization identifier.
        sddc(str): Sddc identifier.
        cluster(str): cluster identifier.

    Returns:
        None

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.vmc.sddc.clusters.cluster_reconfigure_params(ctx, org=value, sddc=value, cluster=value)

        Call from CLI:

        .. code-block:: bash

            idem exec vmc.sddc.clusters.cluster_reconfigure_params org=value, sddc=value, cluster=value
    """

    return await hub.tool.http.session.request(
        ctx,
        method="post",
        path=ctx.acct.endpoint_url + "/orgs/{org}/sddcs/{sddc}/clusters/{cluster}/reconfigure".format(**{"org": org, "sddc": sddc, "cluster": cluster}),
        query_params={},
        data={}
    )

